"""Add id to payment methods

Revision ID: dfa080636f10
Revises: 5bf0a0845afb
Create Date: 2021-01-19 22:55:25.013299

"""
import sqlalchemy as sa
from sqlalchemy.schema import CreateSequence, DropSequence, Sequence

from alembic import op

# revision identifiers, used by Alembic.
revision = "dfa080636f10"
down_revision = "5bf0a0845afb"
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.execute(CreateSequence(Sequence("paymentmethods_id_seq")))
    op.add_column(
        "paymentmethods",
        sa.Column("id", sa.Integer(), nullable=False, server_default=sa.text("nextval('paymentmethods_id_seq'::regclass)")),
    )
    op.create_primary_key("paymentmethods_pkey", "paymentmethods", ["id"])
    op.create_index(op.f("paymentmethods_id_idx"), "paymentmethods", ["id"], unique=False)
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_constraint("paymentmethods_pkey", table_name="paymentmethods")
    op.drop_index(op.f("paymentmethods_id_idx"), table_name="paymentmethods")
    op.drop_column("paymentmethods", "id")
    op.execute(DropSequence(Sequence("paymentmethods_id_seq")))
    # ### end Alembic commands ###
